Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

Azure AD access token obtained via MSAL

Path Parameters

id
string
required

Body

application/json

First-class datasource catalog entity with ACL support

id
string
required

Datasource ID (UUID)

name
string
required

Display name

type
enum<string>
required

DATASOURCE_TYPE — determines storage, indexing, and retrieval behaviour

Available options:
shared,
personal,
workspace,
sharepoint,
websearch,
llmknowledge,
flowretriever,
vectorretriever
origin
enum<string>
required

Who created/manages this entry (builtIn = locked, admin = full CRUD)

Available options:
builtIn,
admin
scope
enum<string>

Access control model

Available options:
personal,
shared
createdBy
string

UPN of the creator

isPublic
boolean

Allow public read access

owners
object[]
contributors
object[]
users
object[]
inheritEntitlements
hideFromCatalog
boolean

Hide entity from user-facing recommendations and catalog/search surfaces (still accessible to owners/contributors/admins)

createdAt
string

ISO-8601 creation timestamp

updatedBy
string
updatedAt
string

ISO-8601 update timestamp

description
string

Human-readable description

indexName
string

Azure Search index name

searchEndpoint
string

Search endpoint ID

selectedFolder
string

Blob folder name for file-backed sources

sharePointSite
object

Selected SharePoint site

sharePointLibrary
object | null

Single library (legacy)

sharePointLibraries
object[]

Multiple libraries selection

sharePointIndexEntireSite
boolean

Index all libraries in the selected site

sharePointFolder
object | null

Subfolder within library

flowId
string

FK to IFlowDesignerFlow (when type === flowretriever)

flowParams
object

Pre-configured inputs for the retriever flow

lockedFlowParams
string[]

Variable names locked from end-user override

hiddenFlowParams
string[]

Variable names hidden from end users

vectorConnectionId
string

FK to IDataConnection (vector store connection)

vectorTopK
integer

Number of results (default 5)

vectorSearchType
enum<string>

Search strategy for vector store

Available options:
vector,
semantic,
hybrid,
keyword
vectorMinScore
number

Minimum similarity score (0-1)

Web Search source configuration (when type === websearch)

defaultEnabled
boolean

Whether enabled by default for new chats

defaultWeight
number

Result weighting 0.0-1.0

defaultMaxResults
integer

Default max docs from this source

defaultAllowUserToggle
boolean

Whether end users can toggle at runtime

isEnabled
boolean

Whether this datasource is enabled and available (default: true)

tags
string[]
sort
integer

Display order

lifecycle
string

Entity lifecycle state

parentChatId
string

When set, owned by a specific chat (cleaned up on chat delete)

Response

Datasource patched

First-class datasource catalog entity with ACL support

id
string
required

Datasource ID (UUID)

name
string
required

Display name

type
enum<string>
required

DATASOURCE_TYPE — determines storage, indexing, and retrieval behaviour

Available options:
shared,
personal,
workspace,
sharepoint,
websearch,
llmknowledge,
flowretriever,
vectorretriever
origin
enum<string>
required

Who created/manages this entry (builtIn = locked, admin = full CRUD)

Available options:
builtIn,
admin
scope
enum<string>

Access control model

Available options:
personal,
shared
createdBy
string

UPN of the creator

isPublic
boolean

Allow public read access

owners
object[]
contributors
object[]
users
object[]
inheritEntitlements
hideFromCatalog
boolean

Hide entity from user-facing recommendations and catalog/search surfaces (still accessible to owners/contributors/admins)

createdAt
string

ISO-8601 creation timestamp

updatedBy
string
updatedAt
string

ISO-8601 update timestamp

description
string

Human-readable description

indexName
string

Azure Search index name

searchEndpoint
string

Search endpoint ID

selectedFolder
string

Blob folder name for file-backed sources

sharePointSite
object

Selected SharePoint site

sharePointLibrary
object | null

Single library (legacy)

sharePointLibraries
object[]

Multiple libraries selection

sharePointIndexEntireSite
boolean

Index all libraries in the selected site

sharePointFolder
object | null

Subfolder within library

flowId
string

FK to IFlowDesignerFlow (when type === flowretriever)

flowParams
object

Pre-configured inputs for the retriever flow

lockedFlowParams
string[]

Variable names locked from end-user override

hiddenFlowParams
string[]

Variable names hidden from end users

vectorConnectionId
string

FK to IDataConnection (vector store connection)

vectorTopK
integer

Number of results (default 5)

vectorSearchType
enum<string>

Search strategy for vector store

Available options:
vector,
semantic,
hybrid,
keyword
vectorMinScore
number

Minimum similarity score (0-1)

Web Search source configuration (when type === websearch)

defaultEnabled
boolean

Whether enabled by default for new chats

defaultWeight
number

Result weighting 0.0-1.0

defaultMaxResults
integer

Default max docs from this source

defaultAllowUserToggle
boolean

Whether end users can toggle at runtime

isEnabled
boolean

Whether this datasource is enabled and available (default: true)

tags
string[]
sort
integer

Display order

lifecycle
string

Entity lifecycle state

parentChatId
string

When set, owned by a specific chat (cleaned up on chat delete)